/**
 * index.test.js.js
 *
 * @Author: jruif
 * @Date: 2017/11/30 下午2:35
 */
import React from 'react';
import Adapter from 'enzyme-adapter-react-16';
import Enzyme, { shallow, mount } from 'enzyme';
import Pagination from './index';
Enzyme.configure({
  adapter: new Adapter()
});
describe(React.createElement(Pagination, null), function () {
  test('渲染分页', function () {
    var wrapper = shallow(React.createElement(Pagination, {
      showTotal: true,
      showQuickJump: true,
      showSelectPageSize: true,
      total: 100,
      pageSize: 10,
      current: 2,
      scrollTime: 2,
      tweenName: "easeOutBounce",
      scrollToValue: 0
    }));
    expect(wrapper).toMatchSnapshot();
  });
  test('', function () {
    var wrapper = shallow(React.createElement(Pagination, {
      showTotal: true,
      showQuickJump: true,
      showSelectPageSize: true,
      total: 100,
      pageSize: 10,
      current: 2,
      scrollTime: 2,
      tweenName: "easeOutBounce",
      scrollToValue: 0
    }));
    wrapper.find('');
  });
});